<?php
/**
 * Created by PhpStorm.
 * User: Администратор
 * Date: 07.03.2018
 * Time: 2:05
 */

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Category;
use App\Models\Item;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use Illuminate\Support\Facades\DB;

class AdminController extends Controller
{

    public function index(Request $request)
    {
        if (Gate::denies('is-admin')) {
            return redirect('/')->with(['errors' => 'У вас не достаточно полномочий']);
        }

        return view('admin.index');
    }

    public function users()
    {
//        if (Gate::denies('is-admin')) {
//            return redirect('/')->with(['errors' => 'У вас не достаточно полномочий']);
//        }

//        $users = User::all();
//            ->paginate(15);

//        return view('users.index', ['users' => $users]);

    }

    public function items()
    {
        if (Gate::denies('is-admin')) {
            return redirect('/')->with(['errors' => 'У вас не достаточно полномочий']);
        }

        $items = Item::all();

        return view('admin.items',['items'=>$items]);
    }

    public function categories(Request $request)
    {
        if (!$request->user()->isAdmin()){
            return redirect('/')->with(['errors' => 'У вас не достаточно полномочий']);
        }

        $categories = Category::where('id','>',0)->paginate(15);

        return view('admin.categories',['categories'=>$categories]);
    }

}